import { Bridgly } from 'bridgly';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.github.searchDiscussions({
order: "desc",
count: 10,
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/github/search-discussions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"owners": [
"<string>"
],
"repos": [
"<string>"
],
"author": "<string>",
"comments": {
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123
},
"created": {
"gt": "2023-12-25",
"gte": "2023-12-25",
"lt": "2023-12-25",
"lte": "2023-12-25"
},
"updated": {
"gt": "2023-12-25",
"gte": "2023-12-25",
"lt": "2023-12-25",
"lte": "2023-12-25"
},
"answered": true,
"order": "desc",
"count": 10,
"after": "<string>"
}
'import requests
url = "https://api.bridgly.app/github/search-discussions"
payload = {
"query": "<string>",
"owners": ["<string>"],
"repos": ["<string>"],
"author": "<string>",
"comments": {
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123
},
"created": {
"gt": "2023-12-25",
"gte": "2023-12-25",
"lt": "2023-12-25",
"lte": "2023-12-25"
},
"updated": {
"gt": "2023-12-25",
"gte": "2023-12-25",
"lt": "2023-12-25",
"lte": "2023-12-25"
},
"answered": True,
"order": "desc",
"count": 10,
"after": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
owners: ['<string>'],
repos: ['<string>'],
author: '<string>',
comments: {gt: 123, gte: 123, lt: 123, lte: 123},
created: {gt: '2023-12-25', gte: '2023-12-25', lt: '2023-12-25', lte: '2023-12-25'},
updated: {gt: '2023-12-25', gte: '2023-12-25', lt: '2023-12-25', lte: '2023-12-25'},
answered: true,
order: 'desc',
count: 10,
after: '<string>'
})
};
fetch('https://api.bridgly.app/github/search-discussions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timeMs": 123,
"creditsCost": 123,
"data": {
"query": "<string>",
"totalCount": 123,
"discussions": [
{
"id": "<string>",
"number": 123,
"title": "<string>",
"url": "<string>",
"authorLogin": "<string>",
"category": "<string>",
"repository": "<string>",
"repositoryUrl": "<string>",
"commentsCount": 123,
"isAnswered": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"after": "<string>"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Search GitHub discussions
import { Bridgly } from 'bridgly';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.github.searchDiscussions({
order: "desc",
count: 10,
});
if (res.type === 'success') console.log(res.data);Authorizations
A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.
Body
Free-text search terms, matched against the default fields for this search type, e.g. "web framework".
Limit to these owners (users or orgs). Maps to user:.
Limit to these "owner/name" repositories. Maps to repo:.
Opened by this user. Maps to author:.
Filter by comment count. Provide any of gt / gte / lt / lte; combine a lower and upper bound for a range.
Show child attributes
Show child attributes
Filter by creation date. Provide any of gt / gte / lt / lte as YYYY-MM-DD dates; combine a lower and upper bound for a range.
Show child attributes
Show child attributes
Filter by last update date. Provide any of gt / gte / lt / lte as YYYY-MM-DD dates; combine a lower and upper bound for a range.
Show child attributes
Show child attributes
Whether the discussion is answered. Maps to is:answered.
Sort direction. Defaults to "desc".
desc, asc Number of results per page (1–10). Defaults to 10.
1 <= x <= 10Pagination cursor (the after value returned by a previous page). Omit for the first page.
Was this page helpful?